<?php
namespace Claromentis\Core\TrashCan;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_0c5123aa744f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_a540f3d49e78c" . "8620c4547ce19c" . "efb33" => base64_decode("Y29tbW9uLnRyYXNoX2Nhbi5kZ" . "WxldGVkX2J5X2FkbWluaXN0cm" . "F0b3I="));
use CommonListOutputUser;






class TrashCanListOutputUser extends CommonListOutputUser
{
    public function FormatAsHTML($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_a540f3d49e78" . "c8620c4547ce1" . "9cefb33"]);
        }
        return parent::FormatAsHTML($value);
    }
    public function FormatAsText($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a540f3d49e78c8620c" . "4547ce19cefb33"]);
        }
        return parent::FormatAsText($value);
    }
}